
# David - 3.0-0.beta1.4mdk - Reminder: 8.0 is for IA32 and PPC
#                                      8.1 is for IA32 and IA64
#                                      8.2 is for IA32, IA64 and PPC

# David - 3.0-0.beta1.4mdk - Define macro used to control build options for
#                            each LMDK distributions
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.2 ]; then echo 1; else echo 0; fi)}

# David - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor9_2
%define unstable 0
%else
%define unstable 0
%endif

%define lib_name_orig %mklibname kdenetwork
%define lib_major 2
%define lib_name %lib_name_orig%lib_major


# QTDIR is always /usr/lib/qt3, whether that's a lib64 architecture or
# not (sublibdirs are correctly qualified in the latter case however).
%define qtdir   %{_prefix}/lib/qt3

Name:		kdenetwork
Summary:	K Desktop Environment - Network Applications
Version:    3.1.3
Release:    37mdk
Epoch:		1
Group:          Development/KDE and Qt
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>
URL:		http://www.kde.org/
License:	GPL

Source:     %name-%version.tar.bz2
Source1:	kdenetwork3-kppp.pamd

Source2: 	kdenetwork-lisa

Source3:	Ireland.tar.bz2

# Not perfect => not apply 3.0-4mdk
Patch1:		kdenetwork3-kmail-default-color.patch.bz2

Patch2:		kdenetwork-3.0.2-launch-spellchecking-config-when-it-didnot-configurate.patch.bz2


# Laurent 3.0.2-2mdk patch for ix64!
Patch4:     kde-lib64updates.patch.bz2


# Laurent 3.0.2-10mdk  Remove unused config action in ksirc.
Patch6:		kdenetwork-3.0.2-remove-unused-preference.patch.bz2






# Laurent - 3.0.3-8mdk - fix save config when we close knode config dialogbox
Patch12:	kdenetwork-3.0.3-fix-sync-config-when-we-close-config-dialogbox.patch.bz2

# Laurent - 3.0.3-9mdk - fix knode "copy link location" 
Patch13:	kdenetwork-3.0.3-fix-copy-link-location.patch.bz2

Patch14:	kdenetwork-3.1-fix-compile.patch.bz2

# Laurent - 3.1-4mdk - add device for usb modem
Patch15:	kdenetwork-3.1-add-device.patch.bz2




# Laurent - 3.1-28mdk - add usb acm entry
Patch19:	kdenetwork-3.1-add-usb-modem-acm.patch.bz2


# Laurent - 3.1-29mdk - fix kmail mail notification when kmail is started in other WM that kde
Patch21:	kdenetwork-3.1-fix-notification-when-kmail-doesnt-start-in-kde.patch.bz2





Patch26:	kdenetwork-3.1-fix-patternedit.patch.bz2
Patch27:	kdenetwork-3.1-fix-disable-find-action.patch.bz2

Patch28:	kdenetwork-3.1.1-add-sound-filter-action.patch.bz2

Patch29:	kdenetwork-3.1.1-add-double-click-on-filter-to-rename-it.patch.bz2

Patch30:	kdenetwork-3.1.1-syntaxhighlighter.patch.bz2
Patch31:	kdenetwork-3.1.1-syntaxhighlighter2.patch.bz2
Patch32:	kdenetwork-3.1.1-syntaxhighlighter3.patch.bz2
Patch33:	kdenetwork-3.1.1-syntaxhighlighter4.patch.bz2
Patch34:	kdenetwork-3.1.1-syntaxhighlighter5.patch.bz2

Patch35:	kdenetwork-3.1.1-use-kurlrequester-in-kmail-filter-action.patch.bz2

Patch36:	kdenetwork-3.1.1-add-global-spellchecking.patch.bz2

Patch37:	kdenetwork-3.1.1-add-knode-syntaxhighlighter.patch.bz2

Patch38:	kdenetwork-3.1.1-add-spell-check-in-toolbar.patch.bz2

Patch39:	kdenetwork-3.1.1-add-paste-as-quoting-in-kmail.patch.bz2

# Laurent - 3.1.1-16mdk add "add to bookmarks action" fix i18n
Patch40:	kdenetwork-3.1.1-add-knode-addbookmarks-action.patch.bz2


# Add kmail subject spell check
Patch42:	kdenetwork-3.1.1-add-subject-spell-check.patch.bz2

# Add knode subject spell check, all to paste/copy/selectall in all widget
Patch43:	kdenetwork-3.1.1-add-knode-subject-spell-check.patch.bz2

# Add kmail save all attachement
Patch44:	kdenetwork-3.1.1-fix-save-all-attachment.patch.bz2

Patch45:	kdenetwork-3.1.1-fix-spell-check.patch.bz2

Patch46:	kdenetwork-3.1.2-add-knode-quote-paragraph.patch.bz2

Patch47:	kdenetwork-3.1.2-add-kmail-quote-paragraph.patch.bz2


Patch49:	kdenetwork-3.1.2-fix-kmail-crash.patch.bz2

Patch50:	kdenetwork-3.1.2-fix-knode-gui.patch.bz2

Patch51:	kdenetwork-3.1.2-fix-kmail-spell.patch.bz2

Patch52:	kdenetwork-3.1.2-add-bookmarks-feature.patch.bz2


Patch54:	kdenetwork-3.1.2-kmail-undo-multiple-message.patch.bz2

Patch55:	kdenetwork-3.1.2-fix-syntaxhighlighter-mem-leak.patch.bz2


Patch56:	kdenetwork-3.1.1-syntaxhighlighter6.patch.bz2

Patch57:	kdenetwork-3.1.3-fix-spellchecking.patch.bz2

Patch58:	kdenetwork-3.1.3-fix-cancel-spell-check.patch.bz2

Patch59:	kdenetwork-3.1.3-remove-configure-button-in-toolbar.patch.bz2

Patch60:	kdenetwork-3.1.3-fix-multipleselection.patch.bz2

Patch61:	kdenetwork-3.1.3-fix-kmail-crypto-plugins.patch.bz2

Patch62:	kdenetwork-3.1.3-fix-open-menu.patch.bz2

Patch63:	kdenetwork-3.1.3-fix-modem-device.patch.bz2

Patch64:	kdenetwork-3.1.3-kppp-irlande-support.patch.bz2

Patch65:	kdenetwork-3.1.3-fix-filterdlg-button.patch.bz2

Patch66:	kdenetwork-3.1.3-fix-change-charset.patch.bz2

Patch67:	kdenetwork-3.1.3-fix-crash-crash.patch.bz2

Patch68:	kdenetwork-3.1.3-fix-kmail-mailman.patch.bz2

Patch69:	kdenetwork-3.1.3-fix-kmail-bugs.patch.bz2

Patch70:	kdenetwork-3.1.3-fix-kmail-found-crypto-plugins.patch.bz2

# Now we can install automake-1.4 and automake-1.7 in parallele
# we can use make -f Makefile.cvs
Patch5000:  kde-fix-automake-autoconf.patch.bz2



BuildRoot:	%_tmppath/%name-%version-%release-root

# David - 3.0-0.beta1.4mdk - For kppp, kdebase for kio_pop3


%if %buildfor9_1
BuildRequires: automake1.6
%endif

%if %buildfor9_2
BuildRequires: automake1.7
%endif


%if %buildfor9_0 || %buildfor9_1 
BuildRequires:  XFree86-devel XFree86-libs arts
BuildRequires:  automake diffutils file freetype2-devel gawk gcc-c++
BuildRequires:  gcc-cpp gettext kdelibs-devel
BuildRequires:  libMesaGLU1 libalsa2-devel libarts-devel  libaudiofile0-devel
BuildRequires:  libbinutils2 libbzip2_1-devel libintl2 libjpeg62-devel liblcms1
BuildRequires:  libmng1-devel libpng3-devel libqt3-devel
BuildRequires:  libtermcap2 m4 mktemp perl-MDK-Common
BuildRequires:  popt rpm-build texinfo zlib1-devel libxml2-devel libxslt-devel
BuildRequires:	libopenslp1-devel
%endif

%if %buildfor9_2
BuildRequires:  XFree86-devel XFree86-libs arts-devel
BuildRequires:  freetype2-devel 
BuildRequires:  gettext kdelibs-devel
BuildRequires:  libMesaGLU-devel libaudiofile-devel
BuildRequires:  bzip2-devel jpeg-devel lcms-devel
BuildRequires:  mng-devel png-devel 
BuildRequires:  libz-devel libxml2-devel libxslt-devel
BuildRequires:  libopenslp-devel
%endif

Requires:	kdenetwork-kdict  = %version-%release	
Requires:	kdenetwork-kget = %version-%release
Requires:	kdenetwork-kit = %version-%release
Requires:	kdenetwork-kmail = %version-%release
Requires:	kdenetwork-knode = %version-%release
Requires:	kdenetwork-korn = %version-%release
Requires:	kdenetwork-ksirc = %version-%release
Requires:	kdenetwork-ktalk = %version-%release
Requires:	kdenetwork-krfb = %version-%release
Requires:   kdenetwork-kxmlrpcd = %version-%release
Requires:   kdenetwork-knewsticker = %version-%release


Conflicts:	kdenetwork_kroupware, kdenetwork_kroupware-kppp
Conflicts:	libkdenetwork_kroupware2, libkdenetwork_kroupware2-devel


%description
Networking applications for the K Desktop Environment.

- kdict: graphical client for the DICT protocol.
- kit: AOL instant messenger client, using the TOC protocol
- kmail: universal mail client
- kmailcvt: converst addressbooks to kmail format
- knewsticker: RDF newsticker applet
- knode: online newsreader
- korn: new mail notification tool
- kpf: public fileserver applet
- ksirc: IRC client
- ktalkd: talk daemon
- kxmlrpc: KDE XmlRpc Daemon
- lanbrowsing: lan browsing kio slave
- krfb: Desktop Sharing server, allow others to access your desktop via VNC
- krdc: a client for Desktop Sharing and other VNC servers

%package common
Summary:	Common files for kdenetwork
Group:		Development/KDE and Qt

Requires:	kdebase >= 3.1
Requires:	kdelibs >= 3.1.1-15mdk
Obsoletes:	kdenetwork3

Provides:	kdenetwork = %version-%release
Obsoletes:	kdenetwork


Requires:	%lib_name-common = %version-%release

Conflicts:	kdebase =< 2.2.2-93mdk
Conflicts:  kdenetwork <= 3.1-31mdk

%description common
Common files for kdenetwork


%package -n %lib_name-common
Group:      Development/KDE and Qt
Summary:    Libraries for kdenetwork

Obsoletes:  %lib_name
Provides:   %lib_name = 1:%version-%release
Conflicts:	kdenetwork <= 3.1-31mdk

%description -n %lib_name-common
Libraries for kdenetwork.


%package  -n %lib_name-common-devel
Summary:	Header files for kdenetwork
Group:		Development/KDE and Qt

Obsoletes:	kdenetwork-devel
Provides:	kdenetwork-devel = 1:%version-%release

Obsoletes:	%lib_name-devel
Provides:	%lib_name-devel = 1:%version-%release

Requires:	%lib_name-common = 1:%version-%release
Conflicts:  kdenetwork <= 3.1-31mdk


%description  -n %lib_name-common-devel
Header files for kdenetwork.


%package -n lisa
Group:      Graphical desktop/KDE
Summary:    Lisa server
Requires:	kdenetwork-common >= %version-%release

%description -n lisa
LISa is intended to provide a kind of "network neighbourhood" but only
relying on the TCP/IP protocol stack, no smb or whatever.

%package -n kdenetwork-ktalk 
Group:      Graphical desktop/KDE
Summary:    Ktalk programm
Provides:	ktalk
Conflicts:  kdenetwork <= 3.1-31mdk

%description -n kdenetwork-ktalk
Ktalk programm

%package -n kdenetwork-kppp
Group:      Graphical desktop/KDE
Summary:    Dialer and front end for pppd
Requires:   ppp
Provides:	kppp
Conflicts:  kdenetwork <= 3.1-31mdk

%description -n kdenetwork-kppp
Kppp is a dialer and front end for pppd.


%package -n kdenetwork-kmail
Group:      Graphical desktop/KDE
Summary:    KDE Mailer
Requires:   kdenetwork-common >= %version-%release
Provides:	kmail
Conflicts:  kdenetwork <= 3.1-31mdk

%description -n kdenetwork-kmail
KDE Mailer

%package -n kdenetwork-knode
Group:      Graphical desktop/KDE
Summary:    KDE News Reader
Requires:   kdenetwork-common = %version-%release
Provides:	knode
Conflicts:  kdenetwork <= 3.1-31mdk

%description -n kdenetwork-knode
KDE News Reader


%package -n kdenetwork-korn
Group:      Graphical desktop/KDE
Summary:    korn
Provides:	korn
Requires:	%lib_name-common = %version-%release
Conflicts:  kdenetwork <= 3.1-31mdk

%description -n kdenetwork-korn
Korn

%package -n kdenetwork-ksirc
Group:      Graphical desktop/KDE
Summary:    KDE IRC
Requires:   %lib_name-ksirc = %version-%release
Provides:	ksirc
Conflicts:  kdenetwork <= 3.1-31mdk

%description -n kdenetwork-ksirc
KDE irc

%package -n %lib_name-ksirc
Group:      Graphical desktop/KDE
Summary:    Librairies for ksirc
Conflicts:  kdenetwork <= 3.1-31mdk

%description -n %lib_name-ksirc
Libraries for ksirc

%package -n kdenetwork-kdict
Group:      Graphical desktop/KDE
Summary:    Kdict programm
Provides:	kdict
Conflicts:  kdenetwork <= 3.1-31mdk


%description -n kdenetwork-kdict
Kdict programm

%package -n kdenetwork-kit
Group:      Graphical desktop/KDE
Summary:    Kit programm
Provides:	kit
Conflicts:  kdenetwork <= 3.1-31mdk

%description -n kdenetwork-kit
Kit programm

%package -n kdenetwork-kget
Group:      Graphical desktop/KDE
Summary:    Kget programm
Provides:	kget
Conflicts:  kdenetwork <= 3.1-31mdk

%description -n kdenetwork-kget
Kget programm


%package -n kdenetwork-krfb
Group:      Graphical desktop/KDE
Summary:    Krfb, Krdc programm
Provides:   krdc, krfb 
Conflicts:  kdenetwork <= 3.1-31mdk

%description -n kdenetwork-krfb
Krfb, krdc programm



%package -n kdenetwork-kxmlrpcd
Group:      Graphical desktop/KDE
Summary:    kxmlrpcd programm
Requires:   %lib_name-kxmlrpcd = %version-%release
Provides:	kxmlrpcd
Conflicts:  kdenetwork <= 3.1-31mdk

%description -n kdenetwork-kxmlrpcd
kxmlrpcd programm

%package -n %lib_name-kxmlrpcd
Group:      Graphical desktop/KDE
Summary:    Librarie for kxmlrpcd
Conflicts:  kdenetwork <= 3.1-31mdk

%description -n %lib_name-kxmlrpcd
Librairie for kxmlrpcd


%package -n kdenetwork-knewsticker
Group:      Graphical desktop/KDE
Summary:    RDF newsticker applet
Provides:	knewsticker
Requires:	%lib_name-knewsticker = %version-%release
Conflicts:  kdenetwork <= 3.1-31mdk

%description -n kdenetwork-knewsticker
Knewsticker: RDF newsticker applet

%package -n %lib_name-knewsticker
Group:      Graphical desktop/KDE
Summary:    Librarie for knewsticker
Conflicts:  kdenetwork <= 3.1-31mdk

%description -n %lib_name-knewsticker
Librairie for knewsticker

%prep
%setup -q -a 3
%patch2 -p1
#%patch4 -p1
%patch6 -p1
#%patch12 -p1
%patch13 -p1
%patch15 -p1
%patch19 -p1

%patch21 -p1



%patch26 -p1
%patch27 -p1

%patch28 -p1
%patch29 -p1

%if %buildfor9_2 || %buildfor9_1

%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1

%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1

%patch40 -p1


%patch42 -p1

%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1



#%patch5000 -p1
%endif

#%patch49 -p1

%patch50 -p1

%patch51 -p1

%patch52 -p1


%patch54 -p1

%patch55 -p1
%patch56 -p1
%patch57 -p1
%patch58 -p1

%patch59 -p1 -b .remove_kmail_configure_button

%patch60 -p1 -b .multiple_selection

%patch61 -p1 -b .kmail_crypto_plugins

%patch62 -p1 -b .kmail_fix_menu

%patch63 -p1 -b .kppp_modem_device

%patch64 -p1 -b .support_irlande

%patch65 -p1 -b .kmail_fix_button

%patch66 -p1 -b .kmail_double_click_change_charset

%patch67 -p1 -b .fix_kmail_crash_crash

%patch68 -p1 -b .fix_kmail_mailman_header

%patch69 -p1 -b .fix_kmail_crash

%patch70 -p1 -b .fix_kmail_found_plugins

%build

%if %buildfor9_2 || %buildfor9_1
make -f admin/Makefile.common cvs
%endif

export QTDIR=%qtdir
export KDEDIR=%_prefix

export LD_LIBRARY_PATH="$QTDIR:/%_lib:$LD_LIBRARY_PATH"
export PATH="$KDEDIR/bin:$PATH"

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

# update config.{sub,guess} scripts
%{?__cputoolize: %{__cputoolize}}

%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
	./configure --prefix=%_prefix \
		    --libdir=%_libdir \
	            --sysconfdir=%_sysconfdir \
	            --build=%_target_platform \
		    --host=%_target_platform \
%if %unstable
			--enable-debug=full \
%else
			--disable-debug \
%endif			
		    --disable-final \
		    --enable-shared \
		    --disable-static \
		    --disable-qt-embedded \
		    --disable-palm-top \
		    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
		    --with-xinerama \
                    --x-includes=/usr/X11R6/include \
                    --x-libraries=/usr/X11R6/%_lib

%make


%install
rm -fr %buildroot
# David - 3.0-0.beta1.4mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot

install -d -m 0755 %buildroot/etc/rc.d/init.d
install -m 0755 %SOURCE2 %buildroot/etc/rc.d/init.d/lisa


install -d -m 0755 %buildroot/%_sysconfdir/pam.d/
install -m 0644 %SOURCE1 %buildroot/%_sysconfdir/pam.d/kppp

chmod u+s %buildroot/%_bindir/kppp

# Create LMDK menu structure
install -d -m 0755 %buildroot/%_menudir/

# %%_datadir/applnk/.hidden
kdedesktop2mdkmenu.pl lisa .hidden %buildroot/%_datadir/applnk/.hidden/kcmkiolan.desktop %buildroot/%_menudir/kdenetwork-kcmkiolan kde
kdedesktop2mdkmenu.pl lisa .hidden %buildroot/%_datadir/applnk/.hidden/kcmlisa.desktop %buildroot/%_menudir/kdenetwork-kcmlisa kde
kdedesktop2mdkmenu.pl kdenetwork .hidden %buildroot/%_datadir/applnk/.hidden/kcmnewsticker.desktop %buildroot/%_menudir/kdenetwork-kcmnewsticker kde
kdedesktop2mdkmenu.pl lisa .hidden %buildroot/%_datadir/applnk/.hidden/kcmreslisa.desktop %buildroot/%_menudir/kdenetwork-kcmreslisa kde
kdedesktop2mdkmenu.pl kdenetwork-knewsticker .hidden %buildroot/%_datadir/applnk/.hidden/knewstickerstub.desktop %buildroot/%_menudir/kdenetwork-knewstickerstub kde



# %%_datadir/applnk/Internet/
kdedesktop2mdkmenu.pl kdenetwork-kget "Networking/File transfer" %buildroot/%_datadir/applnk/Internet/kget.desktop %buildroot/%_menudir/kdenetwork-kget
kdedesktop2mdkmenu.pl kdenetwork-kit "Networking/Instant messaging" %buildroot/%_datadir/applnk/Internet/kit.desktop %buildroot/%_menudir/kdenetwork-kit
kdedesktop2mdkmenu.pl kdenetwork-kmail Networking/Mail %buildroot/%_datadir/applnk/Internet/KMail.desktop %buildroot/%_menudir/kdenetwork-kmail
kdedesktop2mdkmenu.pl kdenetwork-knode Networking/News %buildroot/%_datadir/applnk/Internet/KNode.desktop %buildroot/%_menudir/kdenetwork-knode
kdedesktop2mdkmenu.pl kdenetwork-kppp "Networking/Remote access" %buildroot/%_datadir/applnk/Internet/Kppp.desktop %buildroot/%_menudir/kdenetwork-kppp
kdedesktop2mdkmenu.pl kdenetwork-krfb "Networking/Remote access" %buildroot/%_datadir/applnk/Internet/krdc.desktop %buildroot/%_menudir/kdenetwork-krdc
kdedesktop2mdkmenu.pl kdenetwork-ksirc Networking/IRC %buildroot/%_datadir/applnk/Internet/ksirc.desktop %buildroot/%_menudir/kdenetwork-ksirc kde 

# %%_datadir/applnk/Internet/More
kdedesktop2mdkmenu.pl kdenetwork-korn Networking/Mail %buildroot/%_datadir/applnk/Internet/More/KOrn.desktop %buildroot/%_menudir/kdenetwork-korn
kdedesktop2mdkmenu.pl kdenetwork-knewsticker Networking/News %buildroot/%_datadir/applnk/Internet/More/knewsticker-standalone.desktop %buildroot/%_menudir/kdenetwork-knewsticker-standalone
kdedesktop2mdkmenu.pl kdenetwork-kppp "Networking/Remote access" %buildroot/%_datadir/applnk/Internet/More/kppplogview.desktop %buildroot/%_menudir/kdenetwork-kppplogview


# %%_datadir/applnk/Settings/Network/
kdedesktop2mdkmenu.pl kdenetwork-ktalk Configuration/KDE/Network %buildroot/%_datadir/applnk/Settings/Network/kcmktalkd.desktop %buildroot/%_menudir/kdenetwork-kcmktalkd kde
kdedesktop2mdkmenu.pl kdenetwork-krfb Configuration/KDE/Network %buildroot/%_datadir/applnk/Settings/Network/kcmkrfb.desktop %buildroot/%_menudir/kdenetwork-kcmkrfb kde
#kdedesktop2mdkmenu.pl lisa Configuration/KDE/Network %buildroot/%_datadir/applnk/Settings/Network/lanbrowser.desktop %buildroot/%_menudir/kdenetwork-lanbrowser kde

# %%_datadir/applnk/System/
kdedesktop2mdkmenu.pl kdenetwork-rfb "Networking/Remote access" %buildroot/%_datadir/applnk/System/krfb.desktop %buildroot/%_menudir/kdenetwork-krfb kde

# %%_datadir/applnk/Utilities/
kdedesktop2mdkmenu.pl kdenetwork-kdict "Applications/Text tools" %buildroot/%_datadir/applnk/Utilities/kdict.desktop %buildroot/%_menudir/kdenetwork-kdict


%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%post -n %lib_name-common -p /sbin/ldconfig

%postun -n %lib_name-common -p /sbin/ldconfig

%post -n %lib_name-common-devel -p /sbin/ldconfig

%postun -n %lib_name-common-devel -p /sbin/ldconfig


%post -n lisa
/sbin/ldconfig
%update_menus
%_post_service lisa

%preun -n lisa
/sbin/ldconfig
%clean_menus
%_preun_service lisa


%post -n kdenetwork-kppp
/sbin/ldconfig
%update_menus

%postun -n kdenetwork-kppp
/sbin/ldconfig
%clean_menus

%post -n kdenetwork-krfb
/sbin/ldconfig
%update_menus

%postun -n kdenetwork-krfb
/sbin/ldconfig
%clean_menus


%post -n kdenetwork-kmail
/sbin/ldconfig
%update_menus

%postun -n kdenetwork-kmail
/sbin/ldconfig
%clean_menus

%post -n kdenetwork-knode
/sbin/ldconfig
%update_menus

%postun -n kdenetwork-knode
/sbin/ldconfig
%clean_menus

%post -n kdenetwork-ksirc
/sbin/ldconfig
%update_menus

%postun -n kdenetwork-ksirc
/sbin/ldconfig
%clean_menus

%post -n kdenetwork-korn
/sbin/ldconfig
%update_menus

%postun -n kdenetwork-korn
/sbin/ldconfig
%clean_menus


%post -n kdenetwork-ktalk
/sbin/ldconfig
%update_menus

%postun -n kdenetwork-ktalk
/sbin/ldconfig
%clean_menus

%post -n kdenetwork-kdict
/sbin/ldconfig
%update_menus

%postun -n kdenetwork-kdict
/sbin/ldconfig
%clean_menus

%post -n kdenetwork-kit
/sbin/ldconfig
%update_menus

%postun -n kdenetwork-kit
/sbin/ldconfig
%clean_menus

%post -n kdenetwork-kget
/sbin/ldconfig
%update_menus

%postun -n kdenetwork-kget
/sbin/ldconfig
%clean_menus

%post -n kdenetwork-kxmlrpcd -p /sbin/ldconfig

%postun -n kdenetwork-kxmlrpcd -p /sbin/ldconfig

%post -n %lib_name-kxmlrpcd -p /sbin/ldconfig

%postun -n %lib_name-kxmlrpcd -p /sbin/ldconfig


%post -n kdenetwork-knewsticker
/sbin/ldconfig
%update_menus

%postun -n kdenetwork-knewsticker
/sbin/ldconfig
%clean_menus

%post -n %lib_name-knewsticker -p /sbin/ldconfig

%postun -n %lib_name-knewsticker -p /sbin/ldconfig


%clean
rm -fr %buildroot

%files




%files common
%defattr(-,root,root,-)
#
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
#
#
%dir %_docdir/HTML/en/kpf/
%doc %_docdir/HTML/en/kpf/common
%doc %_docdir/HTML/en/kpf/*.docbook
%doc %_docdir/HTML/en/kpf/*.bz2
#
#


%dir %_docdir/HTML/en/kgpgcertmanager/
%doc %_docdir/HTML/en/kgpgcertmanager/common
%doc %_docdir/HTML/en/kgpgcertmanager/*.bz2
%doc %_docdir/HTML/en/kgpgcertmanager/*.docbook


#
%_bindir/kgpgcertmanager  
#
#
#
%dir %_datadir/applnk/
#
#

%dir %_datadir/applnk/System/
%_datadir/applnk/System/*.desktop

#
%dir %_datadir/applnk/Settings/
%dir %_datadir/applnk/Settings/Personalization/
%_datadir/applnk/Settings/Personalization/*.desktop
#
# LAurent fix conflict with kdebase
#%_datadir/applnk/Settings/Network/lanbrowser.desktop
#
#
#
#
%dir %_datadir/apps/
#
#
%dir %_datadir/apps/kicker/
%dir %_datadir/apps/kicker/applets/
%_datadir/apps/kicker/applets/kpfapplet.desktop
#



%dir %_datadir/apps/kgpgcertmanager/
%_datadir/apps/kgpgcertmanager/*.rc
#
#
#
%_datadir/apps/kconf_update/kpgp-3.1-upgrade-address-data.pl
%_datadir/apps/kconf_update/kpgp.upd




%dir %_datadir/apps/kinetd/
%_datadir/apps/kinetd/eventsrc
#
#
#
#
%_datadir/icons/crystalsvg/16x16/apps/kpf.png
%_datadir/icons/crystalsvg/32x32/apps/kpf.png
%_datadir/icons/crystalsvg/48x48/apps/kpf.png
#
%dir %_datadir/services/
%_datadir/services/kfile_rfc822.desktop

%_datadir/services/kntsrcfilepropsdlg.desktop
%_datadir/services/kpfpropertiesdialogplugin.desktop

#
%dir %_datadir/services/kded/
%_datadir/services/kded/kinetd.desktop

%dir %_datadir/servicetypes/
%_datadir/servicetypes/kinetdmodule.desktop


#
#


%files knewsticker
%defattr(-,root,root,-)
%dir %_docdir/HTML/en/knewsticker/
%doc %_docdir/HTML/en/knewsticker/common
%doc %_docdir/HTML/en/knewsticker/TODO
%doc %_docdir/HTML/en/knewsticker/*.docbook
%doc %_docdir/HTML/en/knewsticker/*.png
%doc %_docdir/HTML/en/knewsticker/*.bz2
%_bindir/knewstickerstub 

%_menudir/kdenetwork-kcmnewsticker

%_menudir/kdenetwork-knewsticker-standalone
%_menudir/kdenetwork-knewstickerstub
%dir %_datadir/applnk/Internet/
%_datadir/applnk/Internet/knewsticker-standalone.desktop

%dir %_datadir/applnk/Internet/More/
%_datadir/applnk/Internet/More/knewsticker-standalone.desktop  
%_datadir/applnk/.hidden/knewstickerstub.desktop

%dir %_datadir/applnk/.hidden/
%_datadir/applnk/.hidden/kcmnewsticker.desktop

%dir %_datadir/apps/knewsticker/
%_datadir/apps/knewsticker/eventsrc
%_datadir/apps/kicker/applets/knewsticker.desktop

%_datadir/apps/kconf_update/knewsticker.upd
%_datadir/apps/kconf_update/knt-0.1-0.2.pl


%_iconsdir/crystalsvg/16x16/apps/knewsticker.png
%_iconsdir/crystalsvg/32x32/apps/knewsticker.png
%_iconsdir/crystalsvg/48x48/apps/knewsticker.png


%files -n %lib_name-knewsticker
%defattr(-,root,root,-)
%_libdir/kde3/knewsticker_panelapplet.la
%_libdir/kde3/knewsticker_panelapplet.so
%_libdir/kde3/kcm_knewsticker.la
%_libdir/kde3/kcm_knewsticker.so
%_libdir/libkntsrcfilepropsdlg.la
%_libdir/libkntsrcfilepropsdlg.so


%files kxmlrpcd
%defattr(-,root,root,-)
%_bindir/kxmlrpcd
%_datadir/services/kxmlrpcd.desktop


%_libdir/kde3/kcm_xmlrpcd.la
%_libdir/kde3/kcm_xmlrpcd.so

%dir %_docdir/HTML/en/kcontrol/kxmlrpcd/
%doc %_docdir/HTML/en/kcontrol/kxmlrpcd/common
%doc %_docdir/HTML/en/kcontrol/kxmlrpcd/*.bz2
%doc %_docdir/HTML/en/kcontrol/kxmlrpcd/*.docbook

%files -n %lib_name-kxmlrpcd
%defattr(-,root,root,-)
%_libdir/kxmlrpcd.so
%_libdir/kxmlrpcd.la

%files krfb
%defattr(-,root,root,-)
%_bindir/krdc         
%_bindir/krfb         

%_datadir/services/vnc.protocol
%_datadir/services/kinetd_krfb.desktop

%dir %_docdir/HTML/en/krfb/
%doc %_docdir/HTML/en/krfb/common
%doc %_docdir/HTML/en/krfb/*.bz2
%doc %_docdir/HTML/en/krfb/*.docbook

%_menudir/kdenetwork-kcmkrfb        
%_menudir/kdenetwork-krfb
%_menudir/kdenetwork-krdc

%dir %_datadir/applnk/Settings/Network/
%_datadir/applnk/Settings/Network/kcmkrfb.desktop
%_datadir/applnk/Internet/krdc.desktop


%dir %_datadir/apps/krfb/
%_datadir/apps/krfb/eventsrc
%dir %_datadir/apps/krfb/pics/
%_datadir/apps/krfb/pics/*.png

%dir %_datadir/apps/krdc/
%dir %_datadir/apps/krdc/pics/
%_datadir/apps/krdc/pics/*.png

%_libdir/kde3/kcm_krfb.la        
%_libdir/kde3/kcm_krfb.so

%_iconsdir/locolor/16x16/apps/krfb.png
%_iconsdir/locolor/32x32/apps/krfb.png

%_iconsdir/crystalsvg/32x32/apps/krdc.png
%_iconsdir/crystalsvg/32x32/apps/krfb.png
%_iconsdir/crystalsvg/48x48/apps/krdc.png
%_iconsdir/crystalsvg/48x48/apps/krfb.png



%files kget
%defattr(-,root,root,-)
%dir %_datadir/apps/kget/
%_datadir/apps/kget/*.rc
%_bindir/kget             
%_menudir/kdenetwork-kget           

%_libdir/kde3/khtml_kget.la
%_libdir/kde3/khtml_kget.so

%_datadir/applnk/Internet/kget.desktop

%dir %_datadir/apps/kget/pics/
%_datadir/apps/kget/pics/*.png

%dir %_datadir/apps/kget/sounds/
%_datadir/apps/kget/sounds/*.wav

%dir %_datadir/apps/kget/icons/
%dir %_datadir/apps/kget/icons/crystalsvg/
%dir %_datadir/apps/kget/icons/crystalsvg/22x22/
%dir %_datadir/apps/kget/icons/crystalsvg/22x22/actions/
%_datadir/apps/kget/icons/crystalsvg/22x22/actions/*.png

%dir %_datadir/mimelnk/
%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/x-kgetlist.desktop

%_datadir/apps/khtml/kpartplugins/kget_plug_in.rc

%_iconsdir/crystalsvg/22x22/actions/khtml_kget.png
%_iconsdir/crystalsvg/48x48/apps/kget.png
%_iconsdir/crystalsvg/48x48/mimetypes/kget_list.png


%files kit
%defattr(-,root,root,-)
%dir %_docdir/HTML/en/kit/
%doc %_docdir/HTML/en/kit/common
%doc %_docdir/HTML/en/kit/*.docbook
%doc %_docdir/HTML/en/kit/*.bz2

%_bindir/kit              

%_menudir/kdenetwork-kit            

%_datadir/applnk/Internet/kit.desktop

%dir %_datadir/apps/kit/
%_datadir/apps/kit/eventsrc
%_datadir/apps/kit/*.rc
#
%dir %_datadir/apps/kit/icons/
%dir %_datadir/apps/kit/icons/crystalsvg/
%dir %_datadir/apps/kit/icons/crystalsvg/16x16/
%dir %_datadir/apps/kit/icons/crystalsvg/16x16/actions/
%_datadir/apps/kit/icons/crystalsvg/16x16/actions/*.png

%_iconsdir/crystalsvg/16x16/apps/kit.png
%_iconsdir/crystalsvg/32x32/apps/kit.png
%_iconsdir/crystalsvg/48x48/apps/kit.png



%files kdict
%defattr(-,root,root,-)
%dir %_docdir/HTML/en/kdict/
%doc %_docdir/HTML/en/kdict/common
%doc %_docdir/HTML/en/kdict/*.docbook
%doc %_docdir/HTML/en/kdict/*.png
%doc %_docdir/HTML/en/kdict/*.bz2
%_bindir/kdict            
%dir %_datadir/apps/kdict/
%_datadir/apps/kdict/kdictui.rc
#
%dir %_datadir/apps/kdict/icons/
%dir %_datadir/apps/kdict/icons/crystalsvg/
%dir %_datadir/apps/kdict/icons/crystalsvg/16x16/
%dir %_datadir/apps/kdict/icons/crystalsvg/16x16/actions/
%_datadir/apps/kdict/icons/crystalsvg/16x16/actions/*.png
%dir %_datadir/apps/kdict/icons/crystalsvg/22x22/
%dir %_datadir/apps/kdict/icons/crystalsvg/22x22/actions/
%_datadir/apps/kdict/icons/crystalsvg/22x22/actions/*.png
%dir %_datadir/apps/kdict/icons/crystalsvg/32x32/
%dir %_datadir/apps/kdict/icons/crystalsvg/32x32/actions/
%_datadir/apps/kdict/icons/crystalsvg/32x32/actions/*.png

%dir %_datadir/applnk/Utilities/
%_datadir/applnk/Utilities/kdict.desktop

%_menudir/kdenetwork-kdict          

%_libdir/kde3/kdict_panelapplet.la
%_libdir/kde3/kdict_panelapplet.so

%_datadir/apps/kicker/applets/kdictapplet.desktop

%_iconsdir/crystalsvg/16x16/apps/kdict.png
%_iconsdir/crystalsvg/32x32/apps/kdict.png
%_iconsdir/crystalsvg/48x48/apps/kdict.png
%_iconsdir/crystalsvg/64x64/apps/kdict.png
%_iconsdir/crystalsvg/128x128/apps/kdict.png

%files ktalk
%defattr(-,root,root,-)
%dir %_docdir/HTML/en/ktalkd/
%doc %_docdir/HTML/en/ktalkd/common
%doc %_docdir/HTML/en/ktalkd/*.docbook
%doc %_docdir/HTML/en/ktalkd/*.bz2

%_libdir/kde3/kcm_ktalkd.la
%_libdir/kde3/kcm_ktalkd.so

%dir %_datadir/sounds/
%_datadir/sounds/ktalkd.wav
%_bindir/ktalkd    
%_bindir/ktalkdlg
%_bindir/mail.local

%_menudir/kdenetwork-kcmktalkd      
%_datadir/applnk/Settings/Network/kcmktalkd.desktop
%_datadir/config/ktalkdrc

%dir %_docdir/HTML/en/kcontrol/
%dir %_docdir/HTML/en/kcontrol/kcmtalkd/
%doc %_docdir/HTML/en/kcontrol/kcmtalkd/common
%doc %_docdir/HTML/en/kcontrol/kcmtalkd/*.bz2
%doc %_docdir/HTML/en/kcontrol/kcmtalkd/*.docbook


%_iconsdir/crystalsvg/16x16/apps/ktalkd.png
%_iconsdir/crystalsvg/32x32/apps/ktalkd.png
%_iconsdir/crystalsvg/48x48/apps/ktalkd.png

%files korn
%defattr(-,root,root,-)
%dir %_docdir/HTML/en/korn/
%doc %_docdir/HTML/en/korn/common
%doc %_docdir/HTML/en/korn/*.docbook
%doc %_docdir/HTML/en/korn/*.bz2
%_bindir/korn             
%_menudir/kdenetwork-korn
%_datadir/applnk/Internet/KOrn.desktop
%_datadir/applnk/Internet/More/KOrn.desktop  

%_iconsdir/crystalsvg/16x16/apps/korn.png
%_iconsdir/crystalsvg/32x32/apps/korn.png
%_iconsdir/crystalsvg/48x48/apps/korn.png

%files -n %lib_name-ksirc
%defattr(-,root,root,-)
%_libdir/ksirc.so
%_libdir/ksirc.la


%files -n %lib_name-common
%defattr(-,root,root,-)
#
%_libdir/libkdenetwork.la
%_libdir/libmimelib.la

%_libdir/libkdenetwork.so.*
%_libdir/libmimelib.so.*





#
#
%dir %_libdir/kde3/

%_libdir/kde3/kded_kinetd.la        
%_libdir/kde3/kded_kinetd.so
%_libdir/kde3/kpf_panelapplet.la
%_libdir/kde3/kpf_panelapplet.so
%_libdir/kde3/kfile_rfc822.la      
%_libdir/kde3/kpfpropertiesdialog.la
%_libdir/kde3/kfile_rfc822.so      
%_libdir/kde3/kpfpropertiesdialog.so




%files -n %lib_name-common-devel
%defattr(-,root,root,-)
%_includedir/*.h
%dir %_includedir/mimelib/
%_includedir/mimelib/*.h

%_libdir/libkdenetwork.so
%_libdir/libmimelib.so


%files -n kdenetwork-knode
%defattr(-,root,root,-)
%dir %_datadir/applnk/Internet/
%_datadir/applnk/Internet/KNode.desktop

%_datadir/services/knewsservice.protocol

%_menudir/kdenetwork-knode

%_bindir/knode            

%dir %_docdir/HTML/en/knode/
%doc %_docdir/HTML/en/knode/common
%doc %_docdir/HTML/en/knode/*.docbook
%doc %_docdir/HTML/en/knode/*.png
%doc %_docdir/HTML/en/knode/*.bz2


%dir %_datadir/apps/knode/
%_datadir/apps/knode/*.rc
%dir %_datadir/apps/knode/filters/
%_datadir/apps/knode/filters/*.fltr
%_datadir/apps/knode/filters/*.rc
#
%dir %_datadir/apps/knode/icons/
%dir %_datadir/apps/knode/icons/crystalsvg/
%dir %_datadir/apps/knode/icons/crystalsvg/16x16/
%dir %_datadir/apps/knode/icons/crystalsvg/16x16/actions/
%_datadir/apps/knode/icons/crystalsvg/16x16/actions/*.png

%dir %_datadir/apps/knode/icons/crystalsvg/22x22/
%dir %_datadir/apps/knode/icons/crystalsvg/22x22/actions/
%_datadir/apps/knode/icons/crystalsvg/22x22/actions/*.png

%dir %_datadir/apps/knode/icons/crystalsvg/32x32/
%dir %_datadir/apps/knode/icons/crystalsvg/32x32/actions/
%_datadir/apps/knode/icons/crystalsvg/32x32/actions/*.png
#
#
%dir %_datadir/apps/knode/pics/
%_datadir/apps/knode/pics/*.png


%_iconsdir/crystalsvg/16x16/apps/knode.png
%_iconsdir/crystalsvg/32x32/apps/knode.png
%_iconsdir/crystalsvg/48x48/apps/knode.png

%files -n kdenetwork-ksirc
%defattr(-,root,root,-)

%dir %_datadir/applnk/Internet/
%_datadir/applnk/Internet/ksirc.desktop

%dir %_docdir/HTML/en/ksirc/
%doc %_docdir/HTML/en/ksirc/common
%doc %_docdir/HTML/en/ksirc/*.docbook
%doc %_docdir/HTML/en/ksirc/*.bz2

%_bindir/ksirc     
%_bindir/dsirc            

%_datadir/config/ksircrc

%_menudir/kdenetwork-ksirc

%dir %_datadir/apps/ksirc/
%_datadir/apps/ksirc/relnotes
%_datadir/apps/ksirc/*.gz
%_datadir/apps/ksirc/*.ini
%_datadir/apps/ksirc/*.pl
%_datadir/apps/ksirc/*.txt
%_datadir/apps/ksirc/eventsrc
#
%dir %_datadir/apps/ksirc/pics/
%_datadir/apps/ksirc/pics/*.png
%_datadir/apps/ksirc/pics/*.xpm
%dir %_datadir/apps/ksirc/pics/emoticons/
%_datadir/apps/ksirc/pics/emoticons/*.png

%_iconsdir/crystalsvg/16x16/apps/ksirc.png
%_iconsdir/crystalsvg/32x32/apps/ksirc.png
%_iconsdir/crystalsvg/48x48/apps/ksirc.png

%_iconsdir/locolor/16x16/apps/ksirc.png
%_iconsdir/locolor/32x32/apps/ksirc.png


%files -n kdenetwork-kmail
%defattr(-,root,root,-)
%dir %_datadir/applnk/Internet/
%_datadir/applnk/Internet/KMail.desktop
%_datadir/applnk/Utilities/kmailcvt.desktop

%_bindir/kmail            
%_bindir/kmailcvt         

%_menudir/kdenetwork-kmail

%dir %_docdir/HTML/en/kmail/
%doc %_docdir/HTML/en/kmail/common
%doc %_docdir/HTML/en/kmail/*.docbook
%doc %_docdir/HTML/en/kmail/*.bz2

%dir %_datadir/apps/kmail/
%_datadir/apps/kmail/*.rc
%_datadir/apps/kmail/*-rc
%_datadir/apps/kmail/eventsrc
%_datadir/apps/kmail/tips

#
%dir %_datadir/apps/kmail/about/
%_datadir/apps/kmail/about/*.css
%_datadir/apps/kmail/about/*.html
%_datadir/apps/kmail/about/*.png
#
%dir %_datadir/apps/kmail/pics/
%_datadir/apps/kmail/pics/*.png
%_datadir/apps/kmail/pics/*.xbm
#
%_datadir/apps/kconf_update/kmail-3.1.4-dont-use-UOID-0-for-any-identity.pl
%_datadir/apps/kconf_update/kmail-3.1-update-new-mail-notification-settings.pl
%_datadir/apps/kconf_update/kmail-3.1-use-UOID-for-identities.pl
%_datadir/apps/kconf_update/kmail-pgpidentity.pl
%_datadir/apps/kconf_update/kmail.upd
%_datadir/apps/kconf_update/kmail-upd-identities.pl
%_datadir/apps/kconf_update/upgrade-signature.pl
%_datadir/apps/kconf_update/upgrade-transport.pl

%_iconsdir/crystalsvg/16x16/apps/kmail.png
%_iconsdir/crystalsvg/32x32/apps/kmail.png
%_iconsdir/crystalsvg/48x48/apps/kmail.png
%_iconsdir/crystalsvg/64x64/apps/kmail.png
%_iconsdir/crystalsvg/128x128/apps/kmail.png

%_iconsdir/crystalsvg/16x16/apps/kmailcvt.png
%_iconsdir/crystalsvg/32x32/apps/kmailcvt.png
%_iconsdir/crystalsvg/48x48/apps/kmailcvt.png



%files -n kdenetwork-kppp
%defattr(-,root,root,-)
%dir %_sysconfdir/pam.d/
%config(noreplace) %_sysconfdir/pam.d/kppp


%_bindir/kppp			
%_bindir/kppplogview  

%_menudir/kdenetwork-kppp
%_menudir/kdenetwork-kppplogview


%dir %_datadir/applnk/Internet/
%_datadir/applnk/Internet/Kppp.desktop
%_datadir/applnk/Internet/kppplogview.desktop
%dir %_datadir/applnk/Internet/More/
%_datadir/applnk/Internet/More/kppplogview.desktop



%dir %_docdir/HTML/en/kppp/
%doc %_docdir/HTML/en/kppp/common
%doc %_docdir/HTML/en/kppp/*.docbook
%doc %_docdir/HTML/en/kppp/*.fig
%doc %_docdir/HTML/en/kppp/*.png
%doc %_docdir/HTML/en/kppp/*.question
%doc %_docdir/HTML/en/kppp/*.txt
%doc %_docdir/HTML/en/kppp/*.bz2

%dir %_datadir/apps/kppp/
%dir %_datadir/apps/kppp/Provider/
%dir %_datadir/apps/kppp/Provider/Austria/
%_datadir/apps/kppp/Provider/Austria/.directory
%_datadir/apps/kppp/Provider/Austria/Simon%032Media
#
%dir %_datadir/apps/kppp/Provider/Czech_Republic/
%_datadir/apps/kppp/Provider/Czech_Republic/.directory
%_datadir/apps/kppp/Provider/Czech_Republic/AICOM
%_datadir/apps/kppp/Provider/Czech_Republic/BohemiaNet  
%_datadir/apps/kppp/Provider/Czech_Republic/ES-servis       
%_datadir/apps/kppp/Provider/Czech_Republic/HP-NET           
%_datadir/apps/kppp/Provider/Czech_Republic/KPNQuest  
%_datadir/apps/kppp/Provider/Czech_Republic/SeverNET
%_datadir/apps/kppp/Provider/Czech_Republic/ARsystem  
%_datadir/apps/kppp/Provider/Czech_Republic/Brailcom    
%_datadir/apps/kppp/Provider/Czech_Republic/Econnect        
%_datadir/apps/kppp/Provider/Czech_Republic/INTERNET_OnLine  
%_datadir/apps/kppp/Provider/Czech_Republic/M-soft    
%_datadir/apps/kppp/Provider/Czech_Republic/Video_OnLine
%_datadir/apps/kppp/Provider/Czech_Republic/ASYS      
%_datadir/apps/kppp/Provider/Czech_Republic/CITYNET     
%_datadir/apps/kppp/Provider/Czech_Republic/Falco_computer  
%_datadir/apps/kppp/Provider/Czech_Republic/INTERNEXT        
%_datadir/apps/kppp/Provider/Czech_Republic/Nextra    
%_datadir/apps/kppp/Provider/Czech_Republic/Volny
%_datadir/apps/kppp/Provider/Czech_Republic/ApexNet   
%_datadir/apps/kppp/Provider/Czech_Republic/Contactel   
%_datadir/apps/kppp/Provider/Czech_Republic/Fortech         
%_datadir/apps/kppp/Provider/Czech_Republic/IQNET            
%_datadir/apps/kppp/Provider/Czech_Republic/ProfiNet
#
%dir %_datadir/apps/kppp/Provider/Denmark/
%_datadir/apps/kppp/Provider/Denmark/.directory
%_datadir/apps/kppp/Provider/Denmark/Get2Net
#
%dir %_datadir/apps/kppp/Provider/Germany/
%_datadir/apps/kppp/Provider/Germany/.directory
%_datadir/apps/kppp/Provider/Germany/CityWeb
%_datadir/apps/kppp/Provider/Germany/FH%032Rhein%032Sieg%032%040Informatik%041
%_datadir/apps/kppp/Provider/Germany/MUC%046DE
%_datadir/apps/kppp/Provider/Germany/Netsurf
#
%dir %_datadir/apps/kppp/Provider/Netherlands/
%_datadir/apps/kppp/Provider/Netherlands/*
%_datadir/apps/kppp/Provider/Netherlands/.directory

#
%dir %_datadir/apps/kppp/Provider/NewZealand/
%_datadir/apps/kppp/Provider/NewZealand/.directory
%_datadir/apps/kppp/Provider/NewZealand/OrconInternet
%_datadir/apps/kppp/Provider/NewZealand/Paradise
%_datadir/apps/kppp/Provider/NewZealand/Voyager
%_datadir/apps/kppp/Provider/NewZealand/XTRA
%_datadir/apps/kppp/Provider/NewZealand/ihug
#
%dir %_datadir/apps/kppp/Provider/Norway/
%_datadir/apps/kppp/Provider/Norway/.directory
%_datadir/apps/kppp/Provider/Norway/BGNett
%_datadir/apps/kppp/Provider/Norway/Institutt%032for%032informatikk
#
%dir %_datadir/apps/kppp/Provider/Portugal/
%_datadir/apps/kppp/Provider/Portugal/.directory
%_datadir/apps/kppp/Provider/Portugal/Clix
%_datadir/apps/kppp/Provider/Portugal/Netc
%_datadir/apps/kppp/Provider/Portugal/OniNet
#
%dir %_datadir/apps/kppp/Provider/Sweden/
%_datadir/apps/kppp/Provider/Sweden/.directory
%_datadir/apps/kppp/Provider/Sweden/Utfors
%_datadir/apps/kppp/Provider/Sweden/Tiscali
#
%dir %_datadir/apps/kppp/Provider/Slovenia/
%_datadir/apps/kppp/Provider/Slovenia/AmisNet
%_datadir/apps/kppp/Provider/Slovenia/Arnes
%_datadir/apps/kppp/Provider/Slovenia/Kiss
%_datadir/apps/kppp/Provider/Slovenia/SiOL
%_datadir/apps/kppp/Provider/Slovenia/Volja
%_datadir/apps/kppp/Provider/Slovenia/MojNet
#
%dir %_datadir/apps/kppp/Provider/Taiwan/
%_datadir/apps/kppp/Provider/Taiwan/.directory
%_datadir/apps/kppp/Provider/Taiwan/EraNet
%_datadir/apps/kppp/Provider/Taiwan/HiNet
%_datadir/apps/kppp/Provider/Taiwan/SeedNet
#
%dir %_datadir/apps/kppp/Provider/United_Kingdom/
%_datadir/apps/kppp/Provider/United_Kingdom/.directory
%_datadir/apps/kppp/Provider/United_Kingdom/Demon%032Green%0322120666
%_datadir/apps/kppp/Provider/United_Kingdom/Demon%032Purple%0322121666
%_datadir/apps/kppp/Provider/United_Kingdom/UK%032Free%032Software%032Network%032ISDN
%_datadir/apps/kppp/Provider/United_Kingdom/UK%032Free%032Software%032Network%032Modem
%_datadir/apps/kppp/Provider/United_Kingdom/UKPOST%032ISDN
%_datadir/apps/kppp/Provider/United_Kingdom/UKPOST%032Modem
%_datadir/apps/kppp/Provider/United_Kingdom/Demon%032Red%0320798666

%_datadir/apps/kppp/Provider/United_Kingdom/FreeServe

%dir %_datadir/apps/kppp/Provider/Switzerland/
%_datadir/apps/kppp/Provider/Switzerland/Bluewin
#
%dir %_datadir/apps/kppp/Provider/Ukraine/
%_datadir/apps/kppp/Provider/Ukraine/Adamant
%_datadir/apps/kppp/Provider/Ukraine/IPTelecom
%_datadir/apps/kppp/Provider/Ukraine/NuVse
%_datadir/apps/kppp/Provider/Ukraine/.directory
#
%dir %_datadir/apps/kppp/Provider/Yugoslavia/
%_datadir/apps/kppp/Provider/Yugoslavia/BeoTelNet
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Bar.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Berane.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.BijeloPolje.CG.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Budva.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Cetinje.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.HercegNovi.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Kotor.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Niksic.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Pljevlja.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Podgorica.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Tivat.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Ulcinj.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.yu
%_datadir/apps/kppp/Provider/Yugoslavia/DrenikNet
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetBeograd
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetCacak
%_datadir/apps/kppp/Provider/Yugoslavia/EUnet@Full
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetKragujevac
%_datadir/apps/kppp/Provider/Yugoslavia/EUnet@Lite
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetNis
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetNoviSad
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetPristina
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetSombor
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetSubotica
%_datadir/apps/kppp/Provider/Yugoslavia/InfoSKY
%_datadir/apps/kppp/Provider/Yugoslavia/PTT
%_datadir/apps/kppp/Provider/Yugoslavia/SCnet
%_datadir/apps/kppp/Provider/Yugoslavia/Sezampro
%_datadir/apps/kppp/Provider/Yugoslavia/VeratNet
%_datadir/apps/kppp/Provider/Yugoslavia/YUBCnet
%_datadir/apps/kppp/Provider/Yugoslavia/TippNet
%_datadir/apps/kppp/Provider/Yugoslavia/SuOnline
%_datadir/apps/kppp/Provider/Yugoslavia/041Net
#

%dir %_datadir/apps/kppp/Provider/Irland/
%_datadir/apps/kppp/Provider/Irland/.directory
%_datadir/apps/kppp/Provider/Irland/Eircom
%_datadir/apps/kppp/Provider/Irland/IOL
%_datadir/apps/kppp/Provider/Irland/UTV
%_datadir/apps/kppp/Provider/Irland/UVT

#
%dir %_datadir/apps/kppp/Rules/
%_datadir/apps/kppp/Rules/TEMPLATE
%_datadir/apps/kppp/Rules/checkrules
#
%dir %_datadir/apps/kppp/Rules/Argentina/
%_datadir/apps/kppp/Rules/Argentina/*.rst
#
%dir %_datadir/apps/kppp/Rules/Australia/
%_datadir/apps/kppp/Rules/Australia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Austria/
%dir %_datadir/apps/kppp/Rules/Austria/Business_1/
%_datadir/apps/kppp/Rules/Austria/Business_1/*.rst
#
%dir %_datadir/apps/kppp/Rules/Austria/Business_2/
%_datadir/apps/kppp/Rules/Austria/Business_2/*.rst
#
%dir %_datadir/apps/kppp/Rules/Austria/Minimum/
%_datadir/apps/kppp/Rules/Austria/Minimum/*.rst
#
%dir %_datadir/apps/kppp/Rules/Austria/Standard/
%_datadir/apps/kppp/Rules/Austria/Standard/*.rst
#
%dir %_datadir/apps/kppp/Rules/Bangladesh/
%_datadir/apps/kppp/Rules/Bangladesh/*.rst
#
%dir %_datadir/apps/kppp/Rules/Belgium/
%_datadir/apps/kppp/Rules/Belgium/*.rst
#
%dir %_datadir/apps/kppp/Rules/Brasil/
%_datadir/apps/kppp/Rules/Brasil/*.rst
#
%dir %_datadir/apps/kppp/Rules/Croatia/
%_datadir/apps/kppp/Rules/Croatia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Czechia/
%_datadir/apps/kppp/Rules/Czechia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Denmark/
%_datadir/apps/kppp/Rules/Denmark/*.rst
#
#
%dir %_datadir/apps/kppp/Rules/Estonia/
%_datadir/apps/kppp/Rules/Estonia/*.rst
#
%dir %_datadir/apps/kppp/Rules/France/
%_datadir/apps/kppp/Rules/France/*.rst
#
%dir %_datadir/apps/kppp/Rules/Finland/
%_datadir/apps/kppp/Rules/Finland/*.rst
#
%dir %_datadir/apps/kppp/Rules/Germany/
%_datadir/apps/kppp/Rules/Germany/*.rst
#
%dir %_datadir/apps/kppp/Rules/Greece/
%_datadir/apps/kppp/Rules/Greece/*.rst
#
%dir %_datadir/apps/kppp/Rules/Hong_Kong/
%_datadir/apps/kppp/Rules/Hong_Kong/*.rst
#
%dir %_datadir/apps/kppp/Rules/Hungary/
%_datadir/apps/kppp/Rules/Hungary/*.rst
#
%dir %_datadir/apps/kppp/Rules/Iceland/
%_datadir/apps/kppp/Rules/Iceland/*.rst
#
%dir %_datadir/apps/kppp/Rules/India/
%_datadir/apps/kppp/Rules/India/*.rst
#
%dir %_datadir/apps/kppp/Rules/Indonesia/
%_datadir/apps/kppp/Rules/Indonesia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Ireland/
%_datadir/apps/kppp/Rules/Ireland/*.rst
#
%dir %_datadir/apps/kppp/Rules/Israel/
%_datadir/apps/kppp/Rules/Israel/*.rst
#
%dir %_datadir/apps/kppp/Rules/Italy/
%_datadir/apps/kppp/Rules/Italy/*.rst
#
%dir %_datadir/apps/kppp/Rules/Jamaica/
%_datadir/apps/kppp/Rules/Jamaica/*.rst
#
%dir %_datadir/apps/kppp/Rules/Japan/
%_datadir/apps/kppp/Rules/Japan/*.rst
#
%dir %_datadir/apps/kppp/Rules/Kazakhstan/
%_datadir/apps/kppp/Rules/Kazakhstan/*.rst
#
%dir %_datadir/apps/kppp/Rules/Luxembourg/
%_datadir/apps/kppp/Rules/Luxembourg/*.rst
#
%dir %_datadir/apps/kppp/Rules/Malaysia/
%_datadir/apps/kppp/Rules/Malaysia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Macedonia/
%_datadir/apps/kppp/Rules/Macedonia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Netherlands/
%_datadir/apps/kppp/Rules/Netherlands/*.rst
%_datadir/apps/kppp/Rules/Netherlands/Cistron
%_datadir/apps/kppp/Rules/Netherlands/Wannadoo_Budget_Plus
#
%dir %_datadir/apps/kppp/Rules/Norway/
%_datadir/apps/kppp/Rules/Norway/*.rst
#
%dir %_datadir/apps/kppp/Rules/Poland/
%_datadir/apps/kppp/Rules/Poland/*.rst
#
%dir %_datadir/apps/kppp/Rules/Portugal/
%_datadir/apps/kppp/Rules/Portugal/*.rst
#
%dir %_datadir/apps/kppp/Rules/Romania/
%_datadir/apps/kppp/Rules/Romania/*.rst
#
#
%dir %_datadir/apps/kppp/Rules/Russia/
%_datadir/apps/kppp/Rules/Russia/*.rst
%_datadir/apps/kppp/Rules/Russia/*.ru
#
%dir %_datadir/apps/kppp/Rules/Singapore/
%_datadir/apps/kppp/Rules/Singapore/*.rst
#
%dir %_datadir/apps/kppp/Rules/Slovakia/
%_datadir/apps/kppp/Rules/Slovakia/*.rst

%dir %_datadir/apps/kppp/Rules/Slovenia/
%_datadir/apps/kppp/Rules/Slovenia/*.rst
#
%dir %_datadir/apps/kppp/Rules/South_Afrika/
%_datadir/apps/kppp/Rules/South_Afrika/*.rst
#
%dir %_datadir/apps/kppp/Rules/Spain/
%_datadir/apps/kppp/Rules/Spain/*.rst
#
%dir %_datadir/apps/kppp/Rules/Sweden/
%_datadir/apps/kppp/Rules/Sweden/*.rst

%dir %_datadir/apps/kppp/Rules/Switzerland/
%_datadir/apps/kppp/Rules/Switzerland/*.rst
#
%dir %_datadir/apps/kppp/Rules/Turkey/
%_datadir/apps/kppp/Rules/Turkey/*.rst
#
%dir %_datadir/apps/kppp/Rules/United_Kingdom/
%_datadir/apps/kppp/Rules/United_Kingdom/*.rst
#
%dir %_datadir/apps/kppp/Rules/Uruguay/
%_datadir/apps/kppp/Rules/Uruguay/*.rst
#
%dir %_datadir/apps/kppp/Rules/Ukraine/
%_datadir/apps/kppp/Rules/Ukraine/*.rst
%_datadir/apps/kppp/Rules/Ukraine/*.uk
#
%dir %_datadir/apps/kppp/Rules/Yugoslavia/
%_datadir/apps/kppp/Rules/Yugoslavia/*.rst
#
%dir %_datadir/apps/kppp/pics/
%_datadir/apps/kppp/pics/*.png


%_iconsdir/crystalsvg/16x16/apps/kppp.png
%_iconsdir/crystalsvg/32x32/apps/kppp.png
%_iconsdir/crystalsvg/48x48/apps/kppp.png
%_iconsdir/crystalsvg/64x64/apps/kppp.png
%_iconsdir/crystalsvg/128x128/apps/kppp.png

%files -n lisa
%defattr(-,root,root)
%_bindir/lisa
%_bindir/reslisa

%_menudir/kdenetwork-kcmkiolan

%dir %_datadir/applnk/.hidden/
%_datadir/applnk/.hidden/kcmkiolan.desktop

%dir %_docdir/HTML/en/kcontrol/lanbrowser/
%doc %_docdir/HTML/en/kcontrol/lanbrowser/common
%doc %_docdir/HTML/en/kcontrol/lanbrowser/*.bz2
%doc %_docdir/HTML/en/kcontrol/lanbrowser/*.docbook


%_menudir/kdenetwork-kcmlisa
%_menudir/kdenetwork-kcmreslisa

%dir %_datadir/apps/lisa/
%_datadir/apps/lisa/README



%_libdir/kde3/kio_lan.la
%_libdir/kde3/kio_lan.so*

%_libdir/kde3/kcm_lanbrowser.la
%_libdir/kde3/kcm_lanbrowser.so*


%dir %_datadir/applnk/.hidden/
%_datadir/applnk/.hidden/kcmlisa.desktop
%_datadir/applnk/.hidden/kcmreslisa.desktop

%dir %_datadir/services/
%_datadir/services/lan.protocol
%_datadir/services/rlan.protocol

%dir %_datadir/apps/lisa/
%_datadir/apps/lisa/README

%dir %_docdir/HTML/en/lisa
%doc %_docdir/HTML/en/lisa/common
%doc %_docdir/HTML/en/lisa/*.bz2
%doc %_docdir/HTML/en/lisa/*.docbook

%_datadir/apps/konqueror/dirtree/remote/lan.desktop

%config(noreplace) /etc/rc.d/init.d/lisa

%changelog
* Fri Sep 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-37mdk
- Last fix conflict

* Fri Sep 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-36mdk
- Fix upgrade

* Thu Sep 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-35mdk
- Fix upgrade

* Wed Sep 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-34mdk
- Add patch69: fix kmail found plugins

* Tue Sep 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-33mdk
- Add patch68: fix kmail "Fix mailman's header mangling - missing part"
- Fix kmail ObjectTreeParser and mem leak
- Fix kmail signature dialogbox crash
- Fix kmail : "Use KMMessagePart's member functions were appropriate and 
  decode the subject. This fixes bug 63580 and a lot of other not yet 
  reported bugs."


* Mon Sep 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-32mdk
- Add conflict with kgroupware

* Sat Sep 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-31mdk
- Fix split

* Thu Sep 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-30mdk
- Fix Build

* Thu Sep 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-29mdk
- Update code (synchronising read*Entry calls of the actual code with those in the configure dialog" in kmail)

* Wed Sep 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-28mdk
- Fix split

* Wed Sep 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-27mdk
- Split knewsticker

* Wed Sep 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-26mdk
- Fix typo reported by Vincent Meyer thanks

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-25mdk
- Add patch67: test if kernel exist when kmail crash otherwise, there
  will be an other crash windows :(
- Add patch68: fix bug #63537


* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-24mdk
- Add patch66: use double click to change charset.

* Mon Sep 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-23mdk
- fix knewsticker

* Sun Aug 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-22mdk
- Update code (fix kppp read config)

* Wed Aug 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-21mdk
- Fix spec

* Tue Aug 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-20mdk
- Fix provides/requires

* Tue Aug 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-19mdk
- Add patch65: fix filterdlg button

* Mon Aug 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-18mdk
- Fix Provide with epoch

* Fri Aug 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-17mdk
- Add support for kppp->Provider->Irlande 

* Thu Aug 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-16mdk
- Fix deps (Gwenole Beauchesne <gbeauchesne@mandrakesoft.com>)

* Wed Aug 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-15mdk
- Fix requires

* Mon Aug 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-14mdk
- Split again

* Mon Aug 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-13mdk
- Create Meta package

* Mon Aug 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-11mdk
- Add patch62: fix open menu in attachement
- Add some provides
- Add patch63: fix kppp choose modem device
- Update code (fix kppplogview, kmail)

* Fri Aug 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-10mdk
- Split

* Thu Aug 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-9mdk
- Split split

* Thu Aug 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-8mdk
- Continue split

* Thu Aug 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-7mdk
- Split

* Wed Aug 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-6mdk
- Minor fix for patch60

* Wed Aug 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-5mdk
- Add patch60: allow to remove multiple attachment document

* Wed Aug 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-4mdk
- __cputoolize
- Fix Requires
- Add patch59: remove configure button in toolbar into kmail

* Tue Aug 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-3mdk
- Update code
- Add patch58: fix spell check when we cancel spell check

* Wed Jul 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-2mdk
- Fix Obsolete/Requires

* Tue Jul 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-1mdk
- 3.1.3

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-16mdk
- Rebuild

* Tue Jul 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-16mdk
- Update code

* Tue Jul 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-15mdk
- Enable compile with slp lib

* Tue Jul 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-14mdk
- Update code

* Thu Jun 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-13mdk
- update code

* Wed Jun 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-12mdk
- Add patch55: fix mem leak

* Tue Jun 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-11mdk
- Add patch54: allow to undo/redo multi-message with one action

* Thu Jun 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-10mdk
- Update code fix kmail, krfb

* Thu Jun 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-9mdk
- Add patch53 : disable support for slp

* Thu Jun 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-8mdk
- Add patch52: patch to add bookmarks

* Wed Jun 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-7mdk
- Add patch51 : fix kmail spell check

* Wed Jun 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-6mdk
- Fix patch46-47: quote kmail/knode

* Tue Jun 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-4mdk
- Fix compile under MDK 9.1
- Add patch50 fix knode gui

* Tue Jun 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-3mdk
- Update lisa script from  Buchan Milne
- Add patch49: fix kmail crash reported by Nicolas Chipaux

* Wed May 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-2mdk
- Fix spec file

* Tue May 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Mon Apr 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-23mdk
- Fix spec file

* Thu Apr 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-22mdk
- Add new knode/kmail feature :"when we press return in quoted paragraph, add
quote in next paragraph"

* Thu Apr 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-21mdk
- Update code

* Tue Apr 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-20mdk
- Add patch44 : Add "Save All" attachement

* Tue Apr 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-19mdk
- Little fix in patch42/43

* Tue Apr 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-18mdk
- Add patch42: add kmail subject spell checking
- Add patch43: add knode subject spell checking, copy/paste/cut in all knode editor widget etc.

* Fri Apr 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-17mdk
- Add patch41: fix knode enable/disable cut action

* Thu Apr 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-16mdk
- Add patch40 : add "Add to bookmarks" feature in knode

* Thu Apr 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-15mdk
- Add new feature ask by Nicolas Chipaux ( Add quotes/Remove quotes )

* Thu Apr 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-14mdk
- Add paste as quoting in kmail

* Thu Apr 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-13mdk
- Add patch38: add spell check button in knode mail editor ( as in kmail )

* Thu Apr 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-12mdk
- Add backgroup spell check for knode

* Wed Apr 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-11mdk
- Add patch35 : kmail filter action "execute command" use kurlrequester

* Wed Apr 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-10mdk
- Fix patch25

* Tue Apr 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-9mdk
- Add background spell checking

* Tue Apr 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-8mdk
- Improve again patch28 : disable sound test button when url is empty

* Mon Apr 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-7mdk
- Fixe patch28

* Thu Apr 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-6mdk
- Add patch29: add double click to rename filter in kmail

* Thu Apr 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-5mdk
- Improve patch28

* Wed Apr 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-4mdk
- add patch28: add new filter action : execute sound

* Wed Apr 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-3mdk
- Add buildfor9.2

* Wed Apr 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-2mdk
- Resync with kde_3_1_branch ( a lot of fix in kmail, knode, kxmlrpc ) 

* Fri Mar 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-1mdk
- 3.1.1
- Add patch26: disable edit button when we clear search
- Add patch27: disable "find in message" action when there is not message

* Wed Mar 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-32mdk
- Add new kmail feature : add bookmarks

* Mon Mar 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-31mdk
- Add patch24 : fix from kde3.1 branch
=> fix ksirc crash : bugs #51957
=> fix kmail error with stmps : bugs #49902

* Sun Mar 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-30mdk
- Add patch22 : fix from kde3.1-branch
"Don't highlight URLs like synapse.serveftp.net (which was highlighted only partly beginning with the ftp.)"
- Add patch23 : "Don't partly highlight URLs like xyz.ftp.net"

* Sat Mar 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-29mdk
- Add patch20: fix from kde3.1 branch
"insert an empty line before the first body part of multipart/mixed and multipart/signed resp. multipart/encrypted because some broken MTAs seem to add an empty line if it's not present and this would break the signature (cf. bug 55629)"
- Add patch21: "Make new mail notification work for people who run KMail without KDE."

* Thu Mar 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-28mdk
- Add patch18: fix kdrc and SLP
- Add patch19: add kppp usb acm entry

* Thu Mar 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-27mdk
- Add patch17: fix kmail "Don't select multiple folders during keyboard navigation"
Fix certmanager "Make the created certifcates work with 509-1 CAs"

* Wed Mar 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-26mdk
- Add patch16: fix from kde3.1 branch fix close session

* Mon Mar 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-25mdk
- Update code ( a lot of kget fix )

* Mon Mar 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-24mdk
- Update code ( fix kget )

* Fri Feb 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-23mdk
- Update code 

* Thu Feb 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-22mdk
- Update code ( fix korn, kmail bugs )

* Wed Feb 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-21mdk
- Update code ( fix kmail )

* Sun Feb 23 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-20mdk
- Update code 

* Fri Feb 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-19mdk
- Update code ( Fix kmail )

* Thu Feb 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-18mdk
- Update code ( fix kmail bug, Fix kget )

* Mon Feb 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-17mdk
- Update code ( fix kmail crash)

* Wed Feb 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-16mdk
- Update code ( fix kmail crashs )

* Tue Feb 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-15mdk
- Update code ( kmail, kcermanager fix crash )

* Mon Feb 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-14mdk
- Update code

* Sat Feb 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-13mdk
- Update code ( fix kmail bug )

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-12mdk
- Fix build requires

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-11mdk
- update code

* Thu Feb 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-10mdk
- Update code ( fix kmail bugs )

* Wed Feb 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-9mdk
- Update code ( fix kmail bugs)

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-8mdk
- Update fix bug in kmail

* Sun Feb 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-7mdk
- Other fix in kmail (two crashs)

* Sun Feb 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-6mdk
- update from kde_3_1_branch fix kmail layout

* Sat Feb 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Fix description

* Fri Jan 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-4mdk
- Split package create new package kppp

* Fri Jan 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Add patch16: fix from kde_3_1_branch fix kget mem leak

* Thu Jan 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Update code from CVS, fix some kmail/ktalk bugs ( repaint folder etc..)

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- kde3.1

* Fri Jan 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.3mdk
- Make happy rpmlint

* Tue Jan 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- Remove debug

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6

* Thu Dec 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.2mdk
- Fix menu entry

* Tue Dec 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5

* Mon Nov 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.4mdk
- Add patch15 : kppp : add device for usb modem

* Sat Nov 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.3mdk
- Fix missing menu entry (kcmnewticker)

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.2mdk
- Fix conflict kdenetwork<->lisa
- Fix missing files
- Fix description

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Thu Nov 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.2mdk
- Rebuild

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- rc2

* Fri Nov 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.2mdk
- Fix missing file

* Thu Oct 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.1mdk
- rc1
- Add patch14 : fix kmail compile

* Sat Oct 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.4mdk
- Fix lisa package

* Tue Oct 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.3mdk
- Rebuild

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.2mdk
- Add patch14 : fix crash in kmail

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- It's not a beta1 but beta2 !

* Tue Oct 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta1.4mdk
- Reactivate patch2-6-13
- Remove other patch

* Thu Oct 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta1.3mdk
- fix conflict with kdebase

* Thu Oct 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta1.2mdk
- fix menu entry

* Wed Oct 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta1.1mdk
- beta2

* Tue Oct 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-2mdk
- update code

* Sun Oct 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-1mdk
- 3.0.4

* Mon Sep 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-15mdk
- Fix update/clean menu in lisa package
- Fix menu in lisa package

* Fri Sep 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-14mdk
- Fix kio_lan crash when lisa is not started
- Fix lisa script

* Thu Sep 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-13mdk
- fix lisa

* Thu Sep 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-12mdk
- Add support for lisa : Script lisa from Buchan Milne (bgmilne@linux-mandrake.com) 

* Mon Sep 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-11mdk
- Update code : fix kmail migration perl script

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-10mdk
- Update code from kde_3_0_branch fix kppp bug

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-9mdk
- Add patch13 : fix knode "copy link location" 

* Sat Aug 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-8mdk
- Add patch12 :Fix save config when we close knode config dialogbox

* Sat Aug 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-7mdk
- Add requires on kdebase necessary for kio_pop3

* Thu Aug 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-6mdk
- Update code from CVS

* Thu Aug 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Add patch11 : fix kmail crash when sendmail is not configurated ( crash reported by Nicolas Chipaux )

* Thu Aug 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Add patch10 : disable/enable ok button in sendmail dialogbox

* Wed Aug 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Add patch9 : fix mem leak in kpgp

* Wed Aug 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Add patch8 : fix kppp bug

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-15mdk
- Rebuild against gcc-3.2

* Tue Aug 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-14mdk
- Add patch from Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> lib64 fixes
- Remove debuggage

* Wed Aug 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-13mdk
- Fix update from 8.2

* Wed Aug 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-12mdk
- Patch7 : Fix kab menu entry

* Fri Aug 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-11mdk
- Update from kde_3_0_branch (fix kmail crash )
- Add  BuildConflicts: automake1.6

* Wed Jul 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-10mdk
- Add patch6 : Remove unused config action in ksirc config dialogbox

* Fri Jul 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-9mdk
- Rebuild against gcc-3.2

* Tue Jul 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-8mdk
- Add patch4 : Disable/enable ok button in "new server" dialogbox

* Mon Jul 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-7mdk
- Add patch3 : fix ksirc dadou crash

* Sat Jul 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-6mdk
- Add patch2 : launch spell checking config when kspell is not configurated.

* Sun Jun 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-5mdk
- kde3.0.2

* Sun Jun 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-5mdk
- patch2 : fix bug into ktalk

* Wed May 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-4mdk
- Rebuild against libstdc++

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- fix menu entry

* Thu May 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- rebuild

* Fri May 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1
- obsolete kdenetwork

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-5mdk
- Rebuild against gcc3.1

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Remove "-fomit-frame-pointer"

* Fri Apr 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Fix spec file

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0

* Thu Mar 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Sat Mar 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc2.1mdk
- RC2

* Sat Jan 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sun Dec 30 2001 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.4mdk
- Fix previous changelog
- Allow KDE 2 and KDE 3 to be installed in same time (lot of changes, see CVS
  for details)
- Don't build static libraries
- Remove KDE 2's changelogs (KDE 2 and KDE 3 spec files have a separate life
  now)
- Remove 7.2 support
    
* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.3mdk
- Rename to allow KDE 2 and KDE 3 to be installed in same time

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-3mdk
- kde 3.0 beta1

* Thu Nov 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improve spec

* Fri Nov 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0
